<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <header>
        <h2>HTML Entities</h2>
    </header>

    <main>
        <section>
            <p><em>Reserved characters in HTML (e.g. &lt; or &gt;) characters that can mix up with HTML code.</em></p>
        </section>
        <section>
        <!-- border attribute defines the thickness of the table border -->
        <table border="2">
            <!-- This is for the header of the table. -->
            <thead>
                <!-- <tr> tag - defines a table row. -->
                <tr>
                    <!-- <th> tag - defines a table header element. -->
                    <!-- colspan attribute changes the ammount of columns a table element will occupy-->
                    <!-- rowspan attribute changes the amount of rows a table element will occupy -->
                    <th colspan="2">Entity</th>
                    <th rowspan="2">Description</th>
                </tr>

                <tr>
                    <th>Symbol</th>
                    <th>Name/Number</th>
                </tr>
            </thead>
            <!-- This is for the body of the table. -->
            <tbody>
                <!-- first row -->
                <tr>
                    <!-- first column -->
                    <td>&lt;</td>
                    <!-- second column -->
                    <td>lt</td>
                    <!-- third column -->
                    <td>less than</td>
                </tr>
                <!-- second row -->
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>greater than</td>
                </tr>
                <!-- third row -->
                <tr>
                    <td>&#8369;</td>
                    <td>#8369</td>
                    <td>peso sign</td>
                </tr>
                <!-- 4th row -->
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>ampersand</td>
                </tr>
                <!-- 5th row -->
                <tr>
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>double quotation mark</td>
                </tr>
                <!-- 6th row -->
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>single quotation mark (apostrophe)</td>
                </tr>
                <!-- 7th row -->
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr>
                <!-- 8th row -->
                <tr>
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Upper Tilde</td>
                </tr>
            </tbody>
            <!-- table footer -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML entities</th>
                </tr>
            </tfoot>
        </table>
        </section>

        <!-- This section is for HTML Form -->
        <section>
            <h2>HTML Form</h2>

            <p><em>Input elements that make up a form.</em></p>

            <form>
                <!-- Text inputs -->
                <!-- <label> tag - creates a text element that serve as the label for the input field. -->
                <!-- for attribute - used alongside the id attribute in an input element. This allows the user to click the label and input data. -->
                <label for="fullname">Full Name:</label><br>
                <!-- required attribute - prompts the user to enter data to proceed in submitting form -->
                <input type="text" name="fullname" id="fullname" required><br>

                <label for="birthdate">Birthdate:</label><br>
                
                <input type="date" name="birthdate" id="birthdate" required><br>
                
                <label for="age">Age:</label><br>
                
                <input type="number" name="age" id="age" required><br>

                <!-- Dropdown -->
                <label for="gender">Gender</label><br>
                
                <select type="date" name="gender" id="gender" required><br>
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                </select><br>

                <!-- Text area -->
                <label for="notes">Notes:</label><br>
                <textarea name="notes" rows="5" cols="5" id="notes"></textarea><br>

                <!-- Ratio button -->
                <label>New User:</label><br>
                <input type="radio" name="new_user" id="yes" value="yes">
                <label for="yes">Yes</label><br>
                <input type="radio" name="new_user" id="no" value="no">
                <label for="no">No</label><br>

                <!-- Checkbox -->
                <label>Role:</label><br>

                <input type="checkbox" name="role1" id="role1" value="yes">
                <label for="role1">Developer</label><br>

                <input type="checkbox" name="role2" id="role2" value="yes">
                <label for="role2">Student</label><br>

                <input type="checkbox" name="role3" id="role3" value="yes">
                <label for="role3">Manager</label><br>

                <button>Submit</button><br>

                <button type="reset">Reset</button><br>

            </form>
        </section>
    </main>
</body>
</html>